﻿using System;
using Microsoft.AspNetCore.Mvc;

namespace Dotnet5DockerWebAPILambda.Controllers
{
    [Route("api/[controller]")]
    public class ValuesController : ControllerBase
    {
        // GET api/values
        [HttpGet]
        public ActionResult Get()
        {
            System.Console.WriteLine("GET called");
            return Ok($"Hello World - {DateTime.Now}");
        }

        // GET api/values/5
        [HttpGet("{id}")]
        public ActionResult Get(int id)
        {
            System.Console.WriteLine($"GET/{id} called");
            return Ok($"you sent id {id}");
        }
    }
}
